interactions:
- request:
    body: ''
    headers:
      accept:
      - application/json
      content-length:
      - '0'
    method: GET
    uri: https://gitlab.com/api/v4/projects/22233142/merge_requests/8/approvals
  response:
    body:
      string: '{"id":84739104,"iid":8,"project_id":22233142,"title":"ST-588: improve
        feedback mechanism","description":"This MR is for adding functions for getting
        list of comments of a MR, getting a single comment and modifying a comment
        to Gitlab API","state":"merged","created_at":"2021-01-14T13:28:41.350Z","updated_at":"2021-03-03T16:18:04.029Z","merge_status":"can_be_merged","approved":false,"approvals_required":1,"approvals_left":1,"require_password_to_approve":false,"approved_by":[],"suggested_approvers":[],"approvers":[],"approver_groups":[],"user_has_approved":false,"user_can_approve":true,"approval_rules_left":[{"id":27212963,"name":"All
        Members","rule_type":"any_approver"}],"has_approval_rules":true,"merge_request_approvers_available":true,"multiple_approval_rules_available":true}'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 62a447cbcc2454be-MAN
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Encoding:
      - gzip
      Content-Type:
      - application/json
      Date:
      - Wed, 03 Mar 2021 16:35:52 GMT
      Etag:
      - W/"e763e1f370a900404fe4143a0b95aa37"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-01-lb-gprd
      GitLab-SV:
      - localhost
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '13'
      RateLimit-Remaining:
      - '1988'
      RateLimit-Reset:
      - '1614789412'
      RateLimit-ResetTime:
      - Wed, 03 Mar 2021 16:36:52 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Server:
      - cloudflare
      Set-Cookie:
      - __cfduid=d482ca01be7edd236231cc366eb8f642c1614789352; expires=Fri, 02-Apr-21
        16:35:52 GMT; path=/; domain=.gitlab.com; HttpOnly; SameSite=Lax; Secure
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept-Encoding
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - source_code_management
      X-Request-Id:
      - 01EZWF46XR33936KWZ63PWNT3P
      X-Runtime:
      - '0.104017'
      cf-request-id:
      - 089a8b335f000054be6f868000000001
    status:
      code: 200
      message: OK
    url: https://gitlab.com/api/v4/projects/22233142/merge_requests/8/approvals
version: 1
